﻿/*Main Style Overwrite*/
/*By Alaa Saadi*/

@font-face {
    font-family: Noto Kufi Arabic;
    src: url(fonts/NotoKufiArabic-Regular.ttf);
}

body {
    font-family: "open sans", "Helvetica Neue", Helvetica, Arial, sans-serif !important;
    background-color: #2f4050;
    /*font-size: 13px;*/
    color: #676a6c;
    overflow-x: hidden;
}

    body.rtls {
        font-family: "open sans",'Noto Kufi Arabic', Helvetica, Arial, sans-serif !important;
        background-color: #2f4050;
        /*font-size: 12px ;*/
        color: #676a6c;
        overflow-x: hidden;
        line-height: 1.5 !important;
    }


        body.rtls .text-left {
            text-align: right !important;
        }

        body.rtls .text-right {
            text-align: left !important;
        }

        body.rtls .ui-menu {
            font-family: "open sans",'Noto Kufi Arabic', Helvetica, sans-serif !important;
        }

        body.rtls .label {
            font-family: "open sans",'Noto Kufi Arabic', Helvetica, sans-serif !important;
        }

        body.rtls sweet-alert {
            font-family: "open sans",'Noto Kufi Arabic', Helvetica, sans-serif !important;
        }

        body.rtls .tabs-container > .nav-tabs > li {
            float: right !important;
        }

        body.rtls .nav-tabs > li > a {
            margin-right: auto !important;
        }

body.rtls .text-weight-200 {
    font-weight: 200;
}

body.rtls .text-weight-300 {
    font-weight: 300;
}

.float-right {
    float: right !important;
}

.float-left {
    float: left !important;
}

body.rtls .float-right {
    float: left !important;
}

body.rtls .float-left {
    float: right !important;
}

.full-width {
    width: 100% !important;
}

.text-10px {
    font-size: 10px !important;
}

.text-12px {
    font-size: 12px !important;
}

.text-15px {
    font-size: 15px !important;
}

.text-20px {
    font-size: 20px !important;
}

/*ul.notes {
    padding: 15px !important;
}

ul.notes li {
    margin: 0px !important;
}*/

ul.notes li.note_danger div {
    background-color: #fe3c51 !important;
}
 
ul.notes li.note_warning div {
    background-color: #fbb0a4 !important;
}

body.rtls .agile-list li.warning-element {
    border-left: 1px solid #e7eaec !important;
    border-right: 3px solid #f8ac59;
}

body.rtls .agile-list li.danger-element {
    border-left: 1px solid #e7eaec !important;
    border-right: 3px solid #ed5565;
}

body.rtls .agile-list li.info-element {
    border-left: 1px solid #e7eaec !important;
    border-right: 3px solid #1c84c6;
}

body.rtls .agile-list li.success-element {
    border-left: 1px solid #e7eaec !important;
    border-right: 3px solid #1ab394;
}

.vertical-timeline-content blockquote,
.agile-list blockquote {
    font-size: 11px;
    margin-bottom: 0px;
    margin-top: 20px;
    color: #a5a4a4;
}

    .vertical-timeline-content blockquote > small,
    .agile-list blockquote > small {
        font-size: 10px;
        font-style: italic;
        color: #a5a4a4;
    }

.fa-1-5x {
    font-size: 21px !important;
}

.fa-2-5x {
    font-size: 30px !important;
}

.text-black {
    color: #57595a !important;
}

.text-offwhite {
    color: #AAA !important;
}

.text-ellipsis {
    text-overflow: ellipsis !important;
    overflow: hidden !important;
    white-space: nowrap !important;
    max-width: 400px;
}


.body-small.rtls #page-wrapper {
    min-height: 100vh !important;
}

.nav > li > a {
    color: #a7b1c2;
    font-weight: 500 !important;
    font-size: 12px;
}

.portal-logo {
    float: left !important;
    padding: 10px !important;
}

.form-control {
    font-size: 12px;
    /*padding-top: 18px;
    padding-bottom: 18px;*/
}

.form-control-nopadding {
    padding-top: unset !important;
    padding-bottom: unset !important;
}

.form-control-ltr {
    direction: ltr !important;
}

body.rtls .text-right {
    text-align: left !important;
}

/********************* Workflow ***************************/
body.rtls .table-mail .mail-date {
    padding-right: unset !important;
    padding-left: 20px !important;
}

.table-inbox {
    margin: 0px !important;
}

body.rtls .folder-list {
    line-height: 1.9 !important;
}

.folder-list .nested-folder {
    padding-left: 15px;
}

body.rtls .folder-list .nested-folder {
    padding-left: unset;
    padding-right: 15px;
}

.inbox-item-table {
    width: 100% !important;
}

    .inbox-item-table > tbody > tr > td {
        padding: 0 5px 0 5px;
    }

.inbox-item {
    padding: 12px;
    width: 100% !important;
    border-radius: 0px !important;
    color: #676a6c !important;
    border-top: 1px solid #e7eaec;
    display: block;
    background-color: inherit;
    box-sizing: border-box !important;
    position: relative;
    line-height: 1.4;
}

    .inbox-item:focus {
        background-color: #e7eaec;
    }

    .inbox-item:hover {
        background-color: #e7eaec;
        text-decoration:none !important;
    }


.inbox-item-subject {
    white-space: nowrap;
    font-size: 17px;
    vertical-align: top !important;
}

.inbox-item-text-lgmd {
    max-width: 0;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #888888;
    font-size: 12px;
}

.inbox-item-text-smxs {
    max-width: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #888888;
    font-size: 12px;
}

.inbox-item-flags {
    width: 20px;
}

.inbox-item-date {
    white-space: nowrap;
    line-height: 1;
    width: 50px;
    font-size: 12px;
}

    .inbox-item-date > table tr td {
        padding: 0 1px 0 1px;
    }

body.rtls .tag-list li {
    float: right !important;
    padding-right: unset;
}

/********************* Bootstrap Grid ***************************/
@media only screen and (max-width:576px) {
    /*xs bootstrab < 576px*/
    .text-ellipsis {
        max-width: 250px !important;
    }

    .no-padding-xs {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .no-padding-h-xs {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }
}

@media only screen and (min-width:576px) {
    /*small bootstrab >= 576px*/
    .no-padding-w-sm {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
}
/********************* wizard ***************************/
.wizard-big.wizard > .content {
    /*min-height: 400px !important;*/
}

.body-small .wizard-main-div {
    padding-left: 0 !important;
    padding-right: 0 !important;
    margin-left: 0 !important;
    margin-right: 0 !important;
}

body.rtls .wizard > .steps > ul > li {
    float: right !important;
}

body.rtls .body-small .wizard > .steps > ul > li {
    float: right !important;
    /*font-size: 4px !important;*/
}

body.rtls .wizard > .actions > ul > li {
    float: right !important;
}

body.rtls .wizard > .content > .body {
    direction: rtl !important;
}

    body.rtls .wizard > .content > .body p {
        text-align: right !important;
    }

.wizard > .content > .body input:focus {
    border-color: #1ab394 !important;
}

/* New Timeline style */


.vertical-container {
    width: 100%;
}
/*.vertical-timeline-content blockquote {
    font-size: 11px !important;
    font-style: italic !important;
    color: #a5a4a4 !important;
    margin-bottom: 0px !important;
    margin-top: 20px !important;
}*/

.vertical-timeline-content del {
    background-color: transparent;
    color: #AAA;
}

body.rtls .vertical-timeline-content .btn {
    float: left;
}

body.rtls #vertical-timeline::before {
    right: 18px; /*alaa*/
}

body.rtls .vertical-timeline-content {
    margin-right: 60px !important; /*alaa*/
    margin-left: 10px !important; /*alaa*/
}

    body.rtls .vertical-timeline-content::before {
        left: 100% !important; /*alaa*/
        right: auto !important; /*alaa*/
        border: 7px solid transparent !important; /*alaa*/
        border-left: 7px solid white !important; /*alaa*/
    }

body.rtls .vertical-timeline-icon {
    right: 0 !important;
}

body.rtls .vertical-timeline-content .vertical-date {
    float: unset;
}

.vertical-timeline-block .vertical-timeline-content .vertical-date small {
    color: #AAA;
}

@media only screen and (min-width: 1170px) {
    body.rtls #vertical-timeline.center-orientation:before {
        right: unset !important;
    }
}

@media only screen and (min-width: 1170px) {

    body.rtls .center-orientation .vertical-timeline-icon {
        right: 50% !important;
        margin-right: -25px !important;
    }

    body.rtls .center-orientation .vertical-timeline-content {
        float: left !important; /*alaa*/
    }


    body.rtls .center-orientation .vertical-timeline-block:nth-child(even) .vertical-timeline-content {
        float: right !important; /*alaa*/
        margin-left: 60px !important; /*alaa*/
        margin-right: 0px !important; /*alaa*/
    }

        body.rtls .center-orientation .vertical-timeline-block:nth-child(even) .vertical-timeline-content::before {
            right: 100% !important; /*alaa*/
            left: auto !important; /*alaa*/
            border-color: transparent !important; /*alaa*/
            border-right-color: white !important; /*alaa*/
        }

    body.rtls .center-orientation .vertical-timeline-content .vertical-date {
        left: 30% !important; /*alaa*/
    }
}

.vertical-timeline-block.state-notstarted > .vertical-timeline-content {
    font-size: 12px !important;
    background-color: #f3f1f1 !important;
    color: #AAA;
    border: 1px solid white;
}

    .vertical-timeline-block.state-notstarted > .vertical-timeline-content > h4 {
        font-size: 11px !important;
        font-weight: 500 !important;
    }

.vertical-timeline-block.state-notstarted > .vertical-timeline-icon {
    background-color: #eae9e9 !important;
    color: #AAA;
}

/*END Sate*/
.vertical-timeline-block.state-end > .vertical-timeline-content {
    background-color: transparent !important;
    padding-top: 5px !important;
    margin-top: 0px !important;
    padding-bottom: 0px !important;
    margin-bottom: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
}

    .vertical-timeline-block.state-end > .vertical-timeline-content::before {
        border-color: transparent !important;
    }

/*inprogress Sate*/
.vertical-timeline-block.state-inprogress > .vertical-timeline-content {
    border: 2px solid #23c6c8;
}

body .vertical-timeline-block.state-inprogress > .vertical-timeline-content::before {
    border-right: 7px solid #23c6c8 !important;
}

body.rtls .vertical-timeline-block.state-inprogress > .vertical-timeline-content::before {
    border-right: 0px !important;
    border-left: 7px solid #23c6c8 !important;
}
/***********/





/*.vertical-timeline-block.state-notstarted .vertical-timeline-icon>i:before  {
    content: "\f017";
}*/


/*******************************************************************************************/
/*For all ASPx Controls, by default all classes of aspx controls start with "dx" */
*[class^="dx"] {
    font-family: Noto Kufi Arabic, sans-serif !important;
    font-size: 13px !important;
}

body.rtls.fixed-nav.fixed-nav-basic .navbar-fixed-top {
    left: 0;
    right: 220px;
}

body.rtls.fixed-nav.fixed-nav-basic.fixed-sidebar.mini-navbar .navbar-fixed-top {
    left: 0;
    right: 0;
}

body.rtls.fixed-nav.fixed-nav-basic.body-small .navbar-fixed-top {
    right: 0;
}

body.rtls.fixed-nav.fixed-nav-basic.fixed-sidebar.mini-navbar.body-small .navbar-fixed-top {
    right: 220px;
    left: 0px;
}

.smalltaglabel {
    font-size: 7px !important;
}

/*New Class*/
.toplinks-Icon > li > a {
    font-size: 19px !important;
    /*color:red !important;*/
    padding: 17px 10px 16px 10px !important;
}

.toplinks-Icon > a {
    font-size: 19px !important;
    padding: 17px 10px 16px 10px !important;
}

/*Modified Class*/
/*.nav.navbar-top-links a {
  font-size: 13px !important;
}*/

.nav.navbar-top-links a {
    font-size: 13px;
}

.sidebard-panel {
    width: 250px;
    background: #ebebed;
    padding: 10px 20px;
    position: absolute;
    right: 0;
    font-size: 12px;
    /*z-index:1;*/
    /*min-height: 100% !important;*/
}

body.rtls .sidebar-content .wrapper,
.wrapper.sidebar-content {
    padding-left: 245px;
    padding-right: unset !important;
}

.body-small .sidebar-content .wrapper {
    padding-left: unset !important;
    padding-right: unset !important;
}


/* Use (hidden-sm hidden-xs" Or visible-lg visible-md) bootstrap class*/
.sidebard-panel {
    z-index: 1000 !important;
}

.body-small .sidebard-panel {
    display: none;
}

body.rtls .sidebard-panel {
    left: 0px;
    right: unset;
}


body.rtls .dropdown-alerts {
    left: 0;
    right: unset;
    margin-left: unset;
}

/********************************/

.notifications-counter {
    -webkit-animation-name: blinker;
    -webkit-animation-duration: 4000ms;
    -webkit-animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;
    -moz-animation-name: blinker;
    -moz-animation-duration: 4000ms;
    -moz-animation-timing-function: linear;
    -moz-animation-iteration-count: infinite;
    animation-name: blinker;
    animation-duration: 4000ms;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    /*font-size:large;*/
    font-weight: 800;
}

@-moz-keyframes blinker {
    0% {
        opacity: 1.0;
    }

    10% {
        opacity: 1.0;
    }

    20% {
        opacity: 1.0;
    }

    30% {
        opacity: 0.5;
    }

    40% {
        opacity: 0.0;
    }

    50% {
        opacity: 0.0;
    }

    60% {
        opacity: 0.0;
    }

    70% {
        opacity: 0.5;
    }

    80% {
        opacity: 1.0;
    }

    90% {
        opacity: 1.0;
    }

    100% {
        opacity: 1.0;
    }
}

@-webkit-keyframes blinker {
    0% {
        opacity: 1.0;
    }

    10% {
        opacity: 1.0;
    }

    20% {
        opacity: 1.0;
    }

    30% {
        opacity: 0.5;
    }

    40% {
        opacity: 0.0;
    }

    50% {
        opacity: 0.0;
    }

    60% {
        opacity: 0.0;
    }

    70% {
        opacity: 0.5;
    }

    80% {
        opacity: 1.0;
    }

    90% {
        opacity: 1.0;
    }

    100% {
        opacity: 1.0;
    }
}

@keyframes blinker {
    0% {
        opacity: 1.0;
    }

    10% {
        opacity: 1.0;
    }

    20% {
        opacity: 1.0;
    }

    30% {
        opacity: 0.5;
    }

    40% {
        opacity: 0.0;
    }

    50% {
        opacity: 0.0;
    }

    60% {
        opacity: 0.0;
    }

    70% {
        opacity: 0.5;
    }

    80% {
        opacity: 1.0;
    }

    90% {
        opacity: 1.0;
    }

    100% {
        opacity: 1.0;
    }
}


div#sticker {
    padding: 20px;
    margin: 20px 0;
    background: #AAA;
    width: 190px;
}

.stick {
    position: fixed;
    top: 0px;
}


tr.dxpEditForm > td {
    padding: 10px 5px 5px 10px;
    white-space: nowrap;
}


.clock {
    position: relative !important;
    padding-top: 0px;
    padding: 0;
    margin: 0;
    /*margin-left: -194px;*/
    height: 100px;
    width: 800px;
    /*zoom: .6;*/
    transform: scale(.4);
    -ms-transform: scale(.4);
    /* IE 9 /
-webkit-transform: scale(.54); / Safari and Chrome /
-o-transform: scale(.54); / Opera /
-moz-transform: scale(.54); / Firefox */
    /*... In the flipclock.css file i think you may need to have this on...*/
}
/*.flip-clock-wrapper {
position: relative;
}*/

/*body.rtls .theme-config-box {
    margin-left: -220px !important;
    margin-right: 0 !important;
}

body.rtls .theme-config-box.show {
        margin-left: 0 !important;
        margin-right: 0 !important;
}

body.rtls .spin-icon {
    right: 0 !important;
    left: auto !important;
}

body.rtls .skin-setttings {
    margin-right: 40px !important;
    margin-left: 0 !important;
}

body.rtls .skin-setttings {
    direction: ltr !important;
    position: absolute !important;
    top: 90px !important;
    right: 0 !important;
    overflow: hidden !important;
}

.theme-config-box {
    margin-right: -220px !important;
    position: relative !important;
    z-index: 2000 !important;
    transition-duration: 0.8s !important;
}

    .theme-config-box.show {
        margin-right: 0 !important;
    }

.spin-icon {
    background: #1ab394 !important;
    position: absolute !important;
    padding: 7px 10px 7px 13px !important;
    border-radius: 20px 0 0 20px !important;
    font-size: 16px !important;
    top: 0 !important;
    left: 0 !important;
    width: 40px !important;
    color: #fff !important;
    cursor: pointer !important;
}
body.rtls .theme-config {
    left: 0 !important;
    right: auto !important;
}

body.rtls .spin-icon {
    border-radius: 0 20px 20px 0 !important;
}*/







/* Toastr custom style */


body.rtls #toast-container > .toast {
   background-position: right 15px center !important;
}

    /*#toast-container > .toast:before {
        position: fixed;
        font-family: FontAwesome;
        font-size: 24px;
        line-height: 24px;
        float: left;
        color: #FFF;
        padding-right: 0.5em;
        margin: auto 0.5em auto -1.5em;
    }

#toast-container > div {
    -moz-box-shadow: 0 0 3px #999;
    -webkit-box-shadow: 0 0 3px #999;
    box-shadow: 0 0 3px #999;
    opacity: .9;
    -ms-filter: alpha(opacity=90);
    filter: alpha(opacity=90);
}*/

/*#toast-container > :hover {
    -moz-box-shadow: 0 0 4px #999;
    -webkit-box-shadow: 0 0 4px #999;
    box-shadow: 0 0 4px #999;
    opacity: 1;
    -ms-filter: alpha(opacity=100);
    filter: alpha(opacity=100);
    cursor: pointer;
}*/

/*.toast {
    background-color: #1ab394;
}

.toast-success {
    background-color: #1ab394;
}

.toast-error {
    background-color: #ed5565;
}

.toast-info {
    background-color: #23c6c8;
}

.toast-warning {
    background-color: #f8ac59;
}*/

.toast-top-full-width {
    margin-top: 10px;
}

.toast-bottom-full-width {
    margin-bottom: 10px;
}

#toast-container > .toast {
    /*background-image: none !important;*/
    padding-top: 25px !important;
}

#toast-container > .toast-warning:before {
    /*content: "\f0e7";*/
    content: none !important;
}

#toast-container > .toast-error:before {
    /*content: "\f071";*/
    content: none !important;
}

#toast-container > .toast-info:before {
    /*content: "\f005";*/
    content: none !important;
}

#toast-container > .toast-success:before {
    /*content: "\f00C";*/
    content: none !important;
}


/* Notifie */

body.rtls .profile-image {
    float: right !important;
}

body.rtls .profile-info {
    margin-left: 0 !important;
}


.dashboard-image {
    width: 120px !important;
    float: left;
    margin-left: 0px;
    margin-right: 50px;
}

.dashboard-image>img {
    width: 150px !important;
}

body.rtls .dashboard-image {
    float: right !important;
    /*padding-left: 30px !important;*/
    margin-left: 50px;
    margin-right: 0px;
}
